Tool
realtime_namespace_get
Get a realtime namespace and its policy by name
Get a realtime namespace and its policy by name
Behavior
- HTTP
GET /realtime/namespaces/:name
Arguments
Name | Type | Required | Description |
|---|---|---|---|
name | string | • | Namespace name |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
name | string | • | |
archive | string | • | History archive policy |
history | string | • | |
presence | boolean | • | |
createdAt | string | • | |
updatedAt | string | • | |
visibility | string | • | |
clientEvents | boolean | • | |
identifiedOnly | boolean | • | |
subscribeProxyUrl | string | • | |
encryptionRequired | boolean | • | |
historyWindowSeconds | integer | • | |
subscribeProxySecret | string | — | Full proxy signing secret — returned ONLY when subscribeProxyUrl is set/changed |
subscribeProxySecretPrefix | string | • | Visible prefix of the proxy signing secret; null when no proxy url is set |
Try it
Get a realtime namespace and its policy by name.